package com.tofly.ghrq_route.module.trouble.domain;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class AuditSchemeBean implements Serializable {
    /**
     * id : 2
     * auditorSecretary : 49
     * auditorSecretaryName : 张宇
     * auditmind : 1
     * auditMindName : 不通过
     * auditDescription : "123"
     * workOrderId : 5
     * auditTime : 2020-08-11 11:44:01
     * delFlag : 1
     * handleUserId : 49
     * handleUserName : 张宇
     * coprocessor : 20,49
     * coprocessorName : liangluo2,zy
     * dutyPlanNote : null
     * dutyCheckTime : 2020-08-07 16:15:24
     * rectifyFinalFile : [{"path":"/dyrq/trouble/1291649139459764225.doc","fileName":"需求调研过程资料汇总2020年4月28日.doc"}]
     * rectifyNoticeFile : [{"path":"/dyrq/trouble/1291649242585116673.amr","fileName":"76d1890e-9b68-412d-9f75-63a36a6c895e.amr"}]
     * protectNoticeFile : [{"path":"/dyrq/trouble/1291649243818242050.amr","fileName":"76d1890e-9b68-412d-9f75-63a36a6c895e.amr"}]
     * rectifyFile : [{"path":"/dyrq/trouble/1291649244971675650.txt","fileName":"ddd.txt"}]
     * schemeFiles : [{"path":"/dyrq/trouble/1291649128898506754.png","fileName":"57bb1c72ef01bb9b235725619dfda6c8.png"},{"path":"/dyrq/trouble/1291649133554184193.jpg","fileName":"111.jpg"},{"path":"/dyrq/trouble/1291649137199034369.xlsx","fileName":"GIS-管网运维部工具类设备清单.xlsx"}]
     * schemeVoice : [{"path":"/dyrq/trouble/1291649132216201218.amr","fileName":"76d1890e-9b68-412d-9f75-63a36a6c895e.amr"}]
     * auditSchemeFiles : [{"path":"/dyrq/trouble/1293030382982242306.png","fileName":"57bb1c72ef01bb9b235725619dfda6c8.png"},{"path":"/dyrq/trouble/1293030393560276994.jpg","fileName":"111.jpg"},{"path":"/dyrq/trouble/1293030399570714626.xlsx","fileName":"GIS-管网运维部工具类设备清单.xlsx"}]
     * auditSchemeVoice : [{"path":"/dyrq/trouble/1293030388669718529.amr","fileName":"76d1890e-9b68-412d-9f75-63a36a6c895e.amr"}]
     */

    private String id;
    private String auditorSecretary;
    private String auditorSecretaryName;
    private String auditmind;
    private String auditMindName;
    private String auditDescription;
    private String workOrderId;
    private String auditTime;
    private String delFlag;
    private String handleUserId;
    private String handleUserName;
    private String coprocessor;
    private String coprocessorName;
    private String dutyPlanNote;
    private String dutyCheckTime;
    private List<AuditFileBean> rectifyFinalFile;       //整改决算书
    private List<AuditFileBean> rectifyNoticeFile;      //整改通知书
    private List<AuditFileBean> protectNoticeFile;      //管道保护书
    private List<AuditFileBean> rectifyFile;            //整改方案
    private List<AuditFileBean> schemeFiles;            //整改附件
    private List<AuditFileBean> schemeVoice;            //音频文件
    private List<AuditFileBean> auditSchemeFiles;       //审核附件
    private List<AuditFileBean> auditSchemeVoice;       //审核音频

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAuditorSecretary() {
        return auditorSecretary;
    }

    public void setAuditorSecretary(String auditorSecretary) {
        this.auditorSecretary = auditorSecretary;
    }

    public String getAuditorSecretaryName() {
        return auditorSecretaryName;
    }

    public void setAuditorSecretaryName(String auditorSecretaryName) {
        this.auditorSecretaryName = auditorSecretaryName;
    }

    public String getAuditmind() {
        return auditmind;
    }

    public void setAuditmind(String auditmind) {
        this.auditmind = auditmind;
    }

    public String getAuditMindName() {
        return auditMindName;
    }

    public void setAuditMindName(String auditMindName) {
        this.auditMindName = auditMindName;
    }

    public String getAuditDescription() {
        return auditDescription;
    }

    public void setAuditDescription(String auditDescription) {
        this.auditDescription = auditDescription;
    }

    public String getWorkOrderId() {
        return workOrderId;
    }

    public void setWorkOrderId(String workOrderId) {
        this.workOrderId = workOrderId;
    }

    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getHandleUserId() {
        return handleUserId;
    }

    public void setHandleUserId(String handleUserId) {
        this.handleUserId = handleUserId;
    }

    public String getHandleUserName() {
        return handleUserName;
    }

    public void setHandleUserName(String handleUserName) {
        this.handleUserName = handleUserName;
    }

    public String getCoprocessor() {
        return coprocessor;
    }

    public void setCoprocessor(String coprocessor) {
        this.coprocessor = coprocessor;
    }

    public String getCoprocessorName() {
        return coprocessorName;
    }

    public void setCoprocessorName(String coprocessorName) {
        this.coprocessorName = coprocessorName;
    }

    public String getDutyPlanNote() {
        return dutyPlanNote;
    }

    public void setDutyPlanNote(String dutyPlanNote) {
        this.dutyPlanNote = dutyPlanNote;
    }

    public String getDutyCheckTime() {
        return dutyCheckTime;
    }

    public void setDutyCheckTime(String dutyCheckTime) {
        this.dutyCheckTime = dutyCheckTime;
    }

    public List<AuditFileBean> getRectifyFinalFile() {
        return rectifyFinalFile;
    }

    public void setRectifyFinalFile(List<AuditFileBean> rectifyFinalFile) {
        this.rectifyFinalFile = rectifyFinalFile;
    }

    public List<AuditFileBean> getRectifyNoticeFile() {
        return rectifyNoticeFile;
    }

    public void setRectifyNoticeFile(List<AuditFileBean> rectifyNoticeFile) {
        this.rectifyNoticeFile = rectifyNoticeFile;
    }

    public List<AuditFileBean> getProtectNoticeFile() {
        return protectNoticeFile;
    }

    public void setProtectNoticeFile(List<AuditFileBean> protectNoticeFile) {
        this.protectNoticeFile = protectNoticeFile;
    }

    public List<AuditFileBean> getRectifyFile() {
        return rectifyFile;
    }

    public void setRectifyFile(List<AuditFileBean> rectifyFile) {
        this.rectifyFile = rectifyFile;
    }

    public List<AuditFileBean> getSchemeFiles() {
        return schemeFiles;
    }

    public void setSchemeFiles(List<AuditFileBean> schemeFiles) {
        this.schemeFiles = schemeFiles;
    }

    public List<AuditFileBean> getSchemeVoice() {
        return schemeVoice;
    }

    public void setSchemeVoice(List<AuditFileBean> schemeVoice) {
        this.schemeVoice = schemeVoice;
    }

    public List<AuditFileBean> getAuditSchemeFiles() {
        return auditSchemeFiles;
    }

    public void setAuditSchemeFiles(List<AuditFileBean> auditSchemeFiles) {
        this.auditSchemeFiles = auditSchemeFiles;
    }

    public List<AuditFileBean> getAuditSchemeVoice() {
        return auditSchemeVoice;
    }

    public void setAuditSchemeVoice(List<AuditFileBean> auditSchemeVoice) {
        this.auditSchemeVoice = auditSchemeVoice;
    }
}
